<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN" "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
    <!-- ========== Data Source Configuration =============================== -->
    <!--data-sources>
    </data-sources-->
    <!-- ========== Form Bean Definitions =================================== -->

    <form-beans type="org.apache.struts.action.ActionFormBean">
    	<form-bean 	name="worklistForm"
    				type="vkc.workflow.web.WorklistForm" />
    	<form-bean 	name="repositoryForm"
    				type="vkc.workflow.web.RepositoryForm" />
    	<form-bean 	name="definitionsForm"
    				type="vkc.workflow.web.ProcessDefinitionsForm" />
    	<form-bean 	name="instancesForm"
    				type="vkc.workflow.web.ProcessInstancesForm" />
    </form-beans>

    <!-- ========== Global Exceptions Definitions ============================== -->

    <global-exceptions>
      <exception key="wf.worklist" type="java.lang.Throwable" path="/../common/error.jsp"/>
    </global-exceptions>

    <!-- ========== Global Forward Definitions ============================== -->

    <global-forwards type="org.apache.struts.action.ActionForward">
        
    </global-forwards>

    <!-- ========== Action Mapping Definitions ============================== -->

    <action-mappings type="org.apache.struts.action.ActionMapping">
    
        <action path="/worklist"
        		type="vkc.workflow.web.WorklistAction"
        		name="worklistForm"
        		input="/setupWorklist.do"
        		scope="request"
        		validate="true"
        		unknown="true">
        </action>
        
		<action path="/setupWorklist"
        		type="vkc.workflow.web.SetupWorklistAction"
        		name="worklistForm"
        		input="/../templates/${template.name}/workflow/worklist.jsp"
        		scope="request">
        </action>
		
        <action path="/definitions"
        		type="vkc.workflow.web.ProcessDefinitionsAction"
        		name="definitionsForm"
        		input="/setupDefinitions.do"
        		scope="request">
        </action>
        
        <action path="/setupDefinitions"
        		type="vkc.workflow.web.SetupDefinitionsAction"
        		name="definitionsForm"
        		input="/../templates/${template.name}/workflow/processdefinitions.jsp"
        		scope="request">
        </action>
        
        <action path="/instances"
        		type="vkc.workflow.web.ProcessInstancesAction"
        		name="instancesForm"
        		input="/setupInstances.do"
        		scope="request">
        </action>
        
        <action path="/setupInstances"
        		type="vkc.workflow.web.SetupInstancesAction"
        		name="instancesForm"
        		input="/../templates/${template.name}/workflow/processinstances.jsp"
        		scope="request">
        </action>
        
        <action path="/repository"
        		type="vkc.workflow.web.RepositoryAction"
        		name="repositoryForm"
        		input="/setupRepository.do"
        		scope="request"
        		validate="true">
        </action>
        
        <action path="/setupRepository"
        		type="vkc.workflow.web.SetupRepositoryAction"
        		input="/../templates/${template.name}/workflow/repository.jsp"
        		scope="request">
        </action>
        
        <action path="/visualizeProcess"
			    type="vkc.workflow.web.VisualizeProcessAction"/>
			    
        <action path="/toModule"
			    type="org.apache.struts.actions.SwitchAction"/>


    </action-mappings>

	<controller maxFileSize="-1" nocache="true" debug="3" 
				processorClass="vkc.servlets.VKCRequestProcessor"/>

    <!-- ========== Message Resources Definitions =========================== -->
    <message-resources 	parameter="vkc.resources.workflow"
    					null="false" />

</struts-config>